<Map::Plain @onReady={{this.mapReady}} ...attributes as |map|>
  <Map::Layer::Base @map={{map}} @value={{this.selectedBaseMap}} />

  <Map::Interaction::DoubleClickZoom @map={{map}} @duration={{150}} @delta={{1}} />

  {{yield map}}

  {{#if this.userLocation}}
    <Map::Overlay class="zero" @map={{map}} @position={{this.userLocation}}>
      <PulseDot @onClick={{this.resetDrag}} />
    </Map::Overlay>
  {{/if}}
</Map::Plain>

<div class="d-none" {{did-insert this.setup}} {{did-update this.updateViewCenter @center this.userLocation}} />